Get Option Chain
Request to be POSTed to uri : /NorenWClientAPI/GetOptionChain
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | Logged in User Id | |
| tsym* | Trading symbol of any of the option or future. Option chain for that underlying will be returned. (use url encoding to avoid special char error for symbols like M&M) | |
| exch* | Exchange (UI need to check if exchange in NFO / CDS / MCX / or any other exchange which has options, if not don't allow) | |
| strprc* | Mid price for option chain selection | |
| cnt* | Number of strike to return on one side of the mid price for PUT and CALL. (example cnt is 4, total 16 contracts will be returned, if cnt is is 5 total 20 contract will be returned) |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/GetOptionChain' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO", "tsym":"MCX-EQ", "exch":"NSE","strprc":"210.00","cnt":"1"}'
Response Details :
Response data will be in json format with below fields
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Not_Ok | Market watch success or failure indication. |
| values | Array of json objects. (object fields given in below table) | |
| emsg | This will be present only in case of errors. That is : 1) Invalid Input 2) Session Expired |
| Json Fields of object in values Array | Possible value | Description |
|---|---|---|
| exch | CDS, NFO ... | Exchange |
| tsym | Trading symbol of the scrip (contract) | |
| token | Token of the scrip (contract) | |
| optt | Option Type | |
| strprc | Strike price | |
| pp | Price precision | |
| ti | Tick size | |
| ls | Lot size |